local G13BarManager, ns = ...

local bar_pet = G13PetBar
bar_pet:RegisterEvent("ADDON_LOADED")
bar_pet:SetScript("OnEvent", function(self)
	local cfg = ns.cfg.G13PetBar
	bar_pet:SetPoint(cfg.point, cfg.xOfs, cfg.yOfs)
end)
bar_pet:SetSize(380, 39)
bar_pet:Hide()

local bar_stance = G13StanceBar
bar_stance:RegisterEvent("ADDON_LOADED")
bar_stance:SetScript("OnEvent", function(self)
	local cfg = ns.cfg.G13StanceBar
	bar_stance:SetPoint(cfg.point, cfg.xOfs, cfg.yOfs)
end)
bar_stance:SetSize(151, 39)
bar_stance:Hide()

RegisterStateDriver(bar_pet, "visibility", "[petbattle] hide; [vehicleui] hide; show")
RegisterStateDriver(bar_stance, "visibility", "[petbattle] hide; [vehicleui] hide; show")

PetActionButton1:SetParent(bar_pet)
PetActionButton1:ClearAllPoints()
PetActionButton1:SetPoint("BOTTOMLEFT", bar_pet, 5, 5)

--This may need to be re-added to properly re-parent the Stance buttons
--Build the new stance bar
--for i = 1, 6 do
--	_G["StanceButton"..i]:SetParent(bar_stance)
--end

StanceBarFrame:SetParent(bar_stance)
StanceButton1:ClearAllPoints()
StanceButton1:SetPoint("BOTTOMLEFT", bar_stance, 5, 5)
	
--Only show the bars for valid classes and specs
local ClassName = UnitClass("Player")

if ClassName == "Warlock" then
	if PetHasActionBar() then
		bar_pet:Show()
	end
end

if ClassName == "Hunter" then
	if PetHasActionBar() then
		bar_pet:Show()
	end
end

if ClassName == "Death Knight" then
	if PetHasActionBar() then
		bar_pet:Show()
	end
end

if ClassName == "Druid" then
	bar_stance:Show()
end