local G13BarManager, ns = ...

local bar = G13MenuBar
bar:RegisterEvent("ADDON_LOADED")
bar:RegisterEvent("UNIT_EXITED_VEHICLE")

bar:SetSize(290, 41)

RegisterStateDriver(bar, "visibility", "[petbattle] hide; [vehicleui] hide; show")

ns.MenuButtons = {
	CharacterMicroButton,
	SpellbookMicroButton,
	TalentMicroButton,
	AchievementMicroButton,
	QuestLogMicroButton,
	GuildMicroButton,
	PVPMicroButton,
	LFDMicroButton,
	CollectionsMicroButton,
	EJMicroButton,
	MainMenuMicroButton,
	HelpMicroButton,
	StoreMicroButton
}

local function SetButtons()
	ns.MoveElements(ns.MenuButtons, bar)
	CharacterMicroButton:ClearAllPoints()
	CharacterMicroButton:SetPoint("BOTTOMLEFT", bar, 3, 2) 
end

local function MenuBarEvents(self, event, ...)
	if event == "ADDON_LOADED" then
		local cfg = ns.cfg.G13MenuBar
		bar:SetPoint(cfg.point, cfg.xOfs, cfg.yOfs)
	end
	SetButtons()
end

bar:SetScript("OnEvent", MenuBarEvents)